<?php

class ModelAdminTest extends ModelAdmin {

	public static $managed_models = array(   //since 2.3.2
		'BeverageItem',
		'BeverageGroup'
	);

	static $url_segment = 'modeladmintest'; // will be linked as /admin/mmadmin
	static $menu_title = 'Model Admin Test';
 
	public static $collection_controller_class = "ModelAdminTest_CollectionController";

	protected function getModelForms() {
	
		$modelClasses = $this->getManagedModels();
		
		$forms = new DataObjectSet();
		foreach($modelClasses as $modelClass) {
			$this->$modelClass()->SearchForm();
			
			$forms->push(new ArrayData(array(
			'SearchForm' => $this->$modelClass()->SearchForm(),
			'CreateForm' => $this->$modelClass()->CreateForm(),
			'ImportForm' => $this->$modelClass()->ImportForm(),
			'DeleteForm' => $this->$modelClass()->DeleteForm(),
			'Title' => singleton($modelClass)->singular_name(),
			'ClassName' => $modelClass,
			'Content' => $this->$modelClass()->getModelSidebar()
			)));
		
		}
		return $forms;
	} 
 
}

class ModelAdminTest_CollectionController extends ModelAdmin_CollectionController {

	public function DeleteForm() {
	
		$modelName = $this->modelClass;
		
		if ($this->hasMethod('alternatePermissionCheck')) {
			if (!$this->alternatePermissionCheck()) return false;
		} else {
			if (!singleton($modelName)->canCreate(Member::currentUser())) return false;
		}
			
		$buttonLabel = 'Delete All Entries';
		
		$actions = new FieldSet(
			$createButton = new FormAction('deleteAll', $buttonLabel)
		);
		$createButton->dontEscape = true;
		
		return new Form($this, "DeleteForm", new FieldSet(), $actions);
	}
		
	function deleteAll($request) {

		$modelName = $this->modelClass;
		DB::query("DELETE FROM ".$modelName." WHERE TRUE");
		$result = 'All products have been deleted';
		return new SS_HTTPResponse("<form><h2>".$result."</h2></form>", 200, $result); 
	
	}
	
	function getModelSidebar() {
		return $this->renderWith('ModelSidebar');
	}
	
}
	
?>